package com.yizhi.application.controller;


import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.application.domain.PublicPlatformConfig;
import com.yizhi.application.service.IPublicPlatformConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lilingye
 * @since 2018-04-29
 */
@RestController
@RequestMapping("/publicPlatformConfig")
public class PublicPlatformConfigController {

    @Autowired
    private IPublicPlatformConfigService publicPlatformConfigService;

    /**
     * 添加服务号的配置信息
     *
     * @param publicPlatformConfig
     * @return
     */
    @PostMapping(value = "/insert")
    public PublicPlatformConfig insertPublicPlatformConfigInfo(@RequestBody PublicPlatformConfig publicPlatformConfig) {
        return publicPlatformConfigService.insertPublicPlatformConfigInfo(publicPlatformConfig);
    }

    /**
     * 查询
     *
     * @return
     */
    @GetMapping(value = "/get")
    public PublicPlatformConfig getPublicPlatformConfigInfo(@RequestParam(value = "id") Long id) {
        return publicPlatformConfigService.selectById(id);
    }

    /**
     * 修改服务号的配置信息
     *
     * @return
     */
    @PostMapping(value = "/update")
    public PublicPlatformConfig updatePublicPlatformConfigInfo(@RequestBody PublicPlatformConfig publicPlatformConfig) {

        publicPlatformConfigService.updateById(publicPlatformConfig);
        return publicPlatformConfigService.selectById(publicPlatformConfig.getId());
    }

    /**
     * 查询list
     *
     * @return
     */
    @GetMapping(value = "/list")
    public Page<PublicPlatformConfig> getPublicPlatformConfigs(@RequestParam(value = "pageNo", defaultValue = "1") Integer pageNo,
                                                               @RequestParam(value = "pageSize", defaultValue = "10") Integer pageSize,
                                                               @RequestParam(value = "name", required = false) String name) {
        return publicPlatformConfigService.findPublicConfigList(pageNo, pageSize, name);
    }

    /**
     * 删除
     *
     * @param ids
     * @return
     */
    @GetMapping(value = "/delete")
    public boolean deletePublicPlatformConfig(@RequestBody List<Long> ids) {
        return publicPlatformConfigService.deleteBatchIds(ids);
    }

    @PostMapping(value = "/getInfo")
    public PublicPlatformConfig findPublicPlatformConfig(@RequestBody PublicPlatformConfig publicPlatformConfig) {
        return publicPlatformConfigService.getPublicPlatformConfig(publicPlatformConfig);
    }
}

